#27025 closed enhancement (fixed)

TorRelayGuide/NetBSD steps result in installation of old tor version

Reported by: nusenu Owned by: egypcio
Priority: Medium Milestone:
Component: Community/Relays Version:
Severity: Normal Keywords: bsd netbsd tdp torbsd
Cc: nusenu, ggus, gman999 Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

https://trac.torproject.org/projects/tor/wiki/TorRelayGuide/NetBSD

gives you an old tor version (0.3.3.7) which will be a problem if people use this as a foundation for bridges

Child Tickets

Change History (4)

comment:1 Changed 13 months ago by egypcio

Cc: gman999 added
Keywords: bsd netbsd tdp torbsd added

hi,
thanks for reporting this issue! I added a note about that to the wiki page.

I also see that you already changed the page and got 443 as ORPort by default. did it run out of the box? - for some systems, non-root users can't bind to low ports.

Last edited 13 months ago by egypcio (previous) (diff)

comment:2 Changed 13 months ago by egypcio

Type: defectenhancement

comment:3 Changed 13 months ago by egypcio

I changed back the ORPort to 9001, and kept the request that people may try to use other ports.
the info about the "publishing the email" is also there!

'wiki/TorRelayGuide/BSDUpdates' can cover any upgrade in more details later on.

again, thank you for reporting this issue :)

comment:4 Changed 13 months ago by egypcio

Resolution: fixed
Status: assignedclosed

added the information regarding new versions of Tor for NetBSD; closing this ticket. one might reopen it or create a new one. many thanks!

Note: See TracTickets for help on using tickets.